Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt
Interface Adjustable

All Known Implementing Classes:
  JScrollBar

public interface Adjustable

The interface for objects that have an adjustable numeric value constrained within a bounded range of values.

Field Summary
`static int` | `HORIZONTAL`
`static int` | `VERTICAL`

Method Summary
`void` | `addAdjustmentListener(AdjustmentListener listener_)`
`int` | `getBlockIncrement()` Gets the block increment (the amount by which the value will change when the arrow keys are pressed).
`int` | `getMaximum()` Gets the maximum value of the adjustable object.
`int` | `getMinimum()` Gets the minimum value of the adjustable object.
`int` | `getOrientation()` Gets the orientation of the object.
`int` | `getValue()` Gets the value of the adjustable object.
`int` | `getVisibleAmount()` Gets the length of the proportional indicator.
`void` | `processAdjustmentEvent(AdjustmentEvent evt_)`
`void` | `removeAdjustmentListener(AdjustmentListener listener_)`
`void` | `setBlockIncrement(int val_)` Sets the block increment
`void` | `setMaximum(int val_)` Sets the maximum value of the adjustable object.
`void` | `setMinimum(int val_)` Sets the minimum value of the adjustable object.
`void` | `setValue(int val_)` Sets the value of the adjustable object.
`void` | `setVisibleAmount(int val_)` Sets the length of the proportional indicator.

Field Detail

### VERTICAL

    public static final int VERTICAL

See Also:
  Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

See Also:
  Constant Field Values

Method Detail

### addAdjustmentListener

    public void addAdjustmentListener(AdjustmentListener listener_)

### removeAdjustmentListener

    public void removeAdjustmentListener(AdjustmentListener listener_)

### getMaximum

    public int getMaximum()

  Gets the maximum value of the adjustable object.

### getMinimum

    public int getMinimum()

  Gets the minimum value of the adjustable object.

### getOrientation

    public int getOrientation()

  Gets the orientation of the object.

### getValue

    public int getValue()

  Gets the value of the adjustable object.

### getVisibleAmount

    public int getVisibleAmount()

  Gets the length of the proportional indicator.

### getBlockIncrement

    public int getBlockIncrement()

  Gets the block increment (the amount by which the value will change when the arrow keys are pressed).

### setMaximum

    public void setMaximum(int val_)

  Sets the maximum value of the adjustable object.

### setMinimum

    public void setMinimum(int val_)

  Sets the minimum value of the adjustable object.

### setValue

    public void setValue(int val_)

  Sets the value of the adjustable object.

### setVisibleAmount

    public void setVisibleAmount(int val_)

  Sets the length of the proportional indicator.

### setBlockIncrement

    public void setBlockIncrement(int val_)

  Sets the block increment

### processAdjustmentEvent

    public void processAdjustmentEvent(AdjustmentEvent evt_)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD